<?php

    function resizeImage($inputPath, $outputPath, $scale)
    {
        echo "Resize: $inputPath\n    to: $outputPath\n";
        
        if (file_exists($inputPath))
        {
            list($width, $height) = getimagesize($inputPath);
            $newWidth  = $width  * $scale;
            $newHeight = $height * $scale;
            $source = imagecreatefrompng($inputPath);
            $thumb  = imagecreatetruecolor($newWidth, $newHeight);
            imageAlphaBlending($thumb, false);
            imageSaveAlpha($thumb, true);
            imageCopyResampled($thumb, $source, 0, 0, 0, 0, $newWidth, $newHeight, $width, $height);
            imagepng($thumb, $outputPath);
        }
        else
        {
            echo "ERROR: File not exists: $inputPath\n";
            exit(1);
        }
    }

    if ($argc > 2)
    {
        $iconFilePath = $argv[1];
        $outDirPrefix = $argv[2] . DIRECTORY_SEPARATOR;

        resizeImage($iconFilePath, $outDirPrefix . "144x144.png", 144/144.);
        resizeImage($iconFilePath, $outDirPrefix . "36x36.png"  ,  36/144.);
        resizeImage($iconFilePath, $outDirPrefix . "48x48.png"  ,  48/144.);
        resizeImage($iconFilePath, $outDirPrefix . "72x72.png"  ,  72/144.);
        resizeImage($iconFilePath, $outDirPrefix . "96x96.png"  ,  96/144.);
    }
    else
    {
        echo "ERROR: Two  arguments required:\n   1) Path to icon file\n   2) Path to output directory.\n";
        exit(1);
    }
?> 
